# You should always specify a full version here to ensure all of your developers
# are running the same version of Node.
FROM node:8.9

# Override the base log level (info).
ENV NPM_CONFIG_LOGLEVEL warn

RUN mkdir /code
WORKDIR /code

# Install all dependencies of the current project.
COPY package.json /code/package.json
RUN npm install

# Copy all local files into the image.
COPY . /code

# Build for production.
RUN npm run build
RUN npm run build:dll

EXPOSE 3000
CMD npm run start
